;; [[file:arroyo-emacs.org::*Arroyo Emacs =init.el= generator][Arroyo Emacs =init.el= generator:1]]
(defcustom arroyo-emacs-init-location (expand-file-name "~/arroyo-nix/files/init.el")
  "Where `arroyo-emacs-generate-init' writes the amalgamated init file."
  :group 'arroyo
  :type 'string)

(defun arroyo-emacs-generate-init ()
  (interactive)
  (arroyo-generate-imports "emacs" nil arroyo-emacs-init-location nil)
  (find-file arroyo-emacs-init-location))
;; Arroyo Emacs =init.el= generator:1 ends here

;; [[file:arroyo-emacs.org::*\[\[id:cce/literate_programming\]\[Literate Programming\]\] helpers][[[id:cce/literate_programming][Literate Programming]] helpers:1]]
(defun arroyo-epkg-overrides (&optional role)
  (arroyo-generate-imports "epkgs" role nil nil))
;; [[id:cce/literate_programming][Literate Programming]] helpers:1 ends here

;; [[file:arroyo-emacs.org::*need a reverse of =ARROYO_MODULE_WANTS= for specifying "wanted-by"s][need a reverse of =ARROYO_MODULE_WANTS= for specifying "wanted-by"s:1]]
(provide 'arroyo-emacs)
;; need a reverse of =ARROYO_MODULE_WANTS= for specifying "wanted-by"s:1 ends here
